Path: API › Proxy 反向代理

`POST /mod/proxy/com/{action}/stype`

批量删除反向代理站点或域名。

## Path parameters

- `action` (`action208.path.action`; string, required) — 具体操作名称，参见下方原始接口文档。

## Request body

_Required._

- `request_time` (`action208.request_time`; string, required) — Unix 时间戳。
- `request_token` (`action208.request_token`; string, required) — 按 API 概览生成的签名。
- `site_list` (`action208.site_list`; string, required) — JSON 数组，每项含 `id` 和 `site_name`，如 `[{"id":1,"site_name":"a.com"}]`
- `remove_path/d` (`action208.remove_path/d`; integer, optional) — 是否同时删除网站目录，1 删除，0 保留（默认）
- `reload/d` (`action208.reload/d`; integer, optional) — 是否重载 Nginx，0 不重载（操作完成后自动重载一次）

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "site_list": "string",
  "remove_path/d": 0,
  "reload/d": 0
}
```

## Code samples

### cURL（填写面板地址与签名）

```bash
curl --request POST \
  --url "https://your-panel.example.com:8888/mod/proxy/com/<action>/stype" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "site_list=<site_list>"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "status": true,
  "data": [
    {
      "name": "api.example.com",
      "status": true,
      "msg": "删除成功"
    }
  ]
}
```


## batch_delete / batch_del_domain

批量删除反向代理站点或域名。

- **路由**：`POST /mod/proxy/com/{action}/stype`

---

## batch_delete — 批量删除站点

### 输入参数
| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| site_list | 是 | json | JSON 数组，每项含 `id` 和 `site_name`，如 `[{"id":1,"site_name":"a.com"}]` |
| remove_path/d | 否 | int | 是否同时删除网站目录，1 删除，0 保留（默认） |
| reload/d | 否 | int | 是否重载 Nginx，0 不重载（操作完成后自动重载一次） |

### 响应
```json
{
  "status": true,
  "msg": "批量删除站点成功！",
  "data": [{"site_name": "a.com", "status": true}]
}
```

---

## batch_del_domain — 批量删除域名

### 输入参数
| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| id | 是 | int | 站点 ID |
| site_name | 是 | string | 站点名称 |
| domains | 是 | string | 域名列表，换行分隔 |

### 响应
```json
{
  "status": true,
  "data": [{"name": "api.example.com", "status": true, "msg": "删除成功"}]
}
```

